Subject: Re: [bug#43477] [PATCH 0/1] guix: graph: Add 'plain' backend.

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 25 Sep 2020 12:11:46 +0200

zimoun <[email-masked]> writes:

> On Fri, 25 Sep 2020 at 11:32, Ludovic Courtès <[email-masked]> wrote:
>> zimoun <[email-masked]> skribis:
>
>> > For example, I would to know if all the packages in my profile are OK
>> > about CVE and already archived on SWH, with the proposed patch, it is
>> > simply:
>> >
>> >    guix package -I | cut -f1 \
>> >      | xargs -I{} ./pre-inst-env guix graph -b list-nodes {} \
>> >      | xargs -I{} guix lint -c cve,archival {}
>> >
>> > and obviously instead "-t bag" could be used.
>> >
>> > Well, another option as "--list-nodes" could be added.  WDTY?
>>
>> I think we should really focus on individual use cases and see how to
>> best address them.  For example there’s
>
> I am not sure to understand.  The aim of pipe composition is to build
> bigger use cases reusing smaller units, right? (friday's trolling
> inside ;-))
>
> My individual use case is to list all the nodes of one package.  And
> by "all the nodes" I mean for all the kinds of graph types.
>
> There is a "guix graph --path" which is really nice.  Why not "guix
> graph --list-nodes"?

Wouldn’t the tree view that Ludo proposed match your use case?  You can
still grep the output (filtering non-alphanum characters), but it would
be more useful by default.

-- 
Ricardo